Esta é uma grande novidade para os fãs do Jailbreak. O hacker @comex, que lançou as últimas duas ferramentas de jailbreak mais fáceis da história (Spirit e JailbreakMe), anunciou que já tem duas falhas (exploits) para o firmware 4.1.

O primeiro seria uma falha ‘userland’ encontrada no iOS 4.1, que permitiria um jailbreak como o do JailbreakMe, de um modo simples de ser aplicado, mas facilmente corrigido pela Apple.

A segunda seria uma falha de hardware no boot room que parece ter sido encontrada pelo @pod2g, que apesar de mais difícil de ser realizado e implementado por meio de uma ferramenta, essa falha permitiria o jailbreak em todos os iDevices existentes até hoje, para sempre.

Isso quer dizer que não importa o firmware que a Apple lançar, haverá uma maneira de fazer o jailbreak, este tipo de exploit normalmente apresenta maiores desafios para ser fechado pela Apple porque para fechá-lo, a Maçã teria que modificar o bootroom (como ela fez com o 3GS) na fabricação dos novos aparelhos.

Isso é ótimo para quem já comprou seus aparelhos e/ou é dependente do jailbreak. Apesar de ser uma ótima notícia, ainda existem muitos detalhes para serem vistos e muito trabalho a ser realizado antes que saia qualquer ferramenta utilizável.

Mais um ponto para o Dev-team!